Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041436
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementminorhave not tried2019-07-23 15:552019-08-25 06:50
Reportercollazoandy4View Statuspublic 
Assigned Tocollazoandy4 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q4
StatusclosedFix in branchFixed in SCM revisionf293461c2c6a
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0041436: Apply HQL style guide to DocFINReconciliation

DescriptionApply HQL style guide to DocFINReconciliation
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0041287 acknowledgedplatform Tracking issue: Convert HQL to apply new style 
related to defect 00412453.0PR19Q4 closedcollazoandy4 DocFINReconciliation.createFact is not using bind-params 

-  Notes
(0113630)
collazoandy4 (developer)
2019-07-24 19:40

Test Plan
  Go to Financial Account and select Caja record
    In Account Configuration tab fill out the Cleared Payment Account field for both General Ledger records
  Create a new Sales Invoice for Alimentos y Supermercados, S.A BP, Total amount: 100, Payment Method: Al contado
    Complete and Pay the invoice
  Create a new Purchase for Bebidas Alegres, S.L. BP, Total amount: 100, Payment Method: Al contado
    Complete and Pay the invoice
  Go to Financial Account and select Caja record
    Create a new reconciliation for the previous transactions created by the invoice
    Post the reconciliation and check the process ends without error
(0114126)
hgbot (developer)
2019-08-22 14:29

Repository: erp/devel/pi
Changeset: f293461c2c6aa793c15a208359db3219a9fa5fdb
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Wed Jul 24 11:33:32 2019 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/f293461c2c6aa793c15a208359db3219a9fa5fdb [^]

Fixed issue 41436: Apply HQL style guide to DocFINReconciliation

Applied the new HQL style in DocFINReconciliation

---
M src/org/openbravo/erpCommon/ad_forms/DocFINReconciliation.java
---
(0114129)
Sandrahuguet (developer)
2019-08-22 14:30

code review + testing ok
(0114259)
hudsonbot (developer)
2019-08-25 06:50

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/2915449dde15 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-07-23 15:55 collazoandy4 New Issue
2019-07-23 15:55 collazoandy4 Assigned To => Triage Finance
2019-07-23 15:55 collazoandy4 Modules => Core
2019-07-23 15:55 collazoandy4 Triggers an Emergency Pack => No
2019-07-23 15:58 collazoandy4 Relationship added related to 0041287
2019-07-23 16:17 collazoandy4 Assigned To Triage Finance => collazoandy4
2019-07-23 16:18 collazoandy4 Status new => scheduled
2019-07-24 19:40 collazoandy4 Note Added: 0113630
2019-08-22 14:13 Sandrahuguet Relationship added related to 0041245
2019-08-22 14:29 hgbot Checkin
2019-08-22 14:29 hgbot Note Added: 0114126
2019-08-22 14:29 hgbot Status scheduled => resolved
2019-08-22 14:29 hgbot Resolution open => fixed
2019-08-22 14:29 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/f293461c2c6aa793c15a208359db3219a9fa5fdb [^]
2019-08-22 14:30 Sandrahuguet Review Assigned To => Sandrahuguet
2019-08-22 14:30 Sandrahuguet Note Added: 0114129
2019-08-22 14:30 Sandrahuguet Status resolved => closed
2019-08-22 14:30 Sandrahuguet Fixed in Version => 3.0PR19Q4
2019-08-25 06:50 hudsonbot Checkin
2019-08-25 06:50 hudsonbot Note Added: 0114259


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker